Subject: bug#46388: 27.1; emacs -batch does not output messages immediately when invoked outside of the command prompt

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Feb 2021 23:14:55 +0200

> Date: Tue, 09 Feb 2021 22:52:13 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > For #2, emacs batch stderr behavior when invoked from outside the
> > command line is not compatible with the posix standard, since it uses
> > "fully buffered" mode, which actually makes it behave very differently
> > from Linux (which is posix compliant by always having stderr as being
> > unbuffered). Thus, the suggested patch actually addresses this
> > concern, rather than invalidating it.
> 
> Again, are you sure it isn't the pipe that imposes buffering?

Moreover, even if we did make the change you propose, it will only
affect Emacs as a subprocess, but not when Emacs is the parent process
and some other program (e.g., Python) is the subprocess.  IOW, the
main problem, which is that interactive subprocesses behave on
MS-Windows differently from their behavior when invoked from the
console -- this problem will remain unsolved as long as Emacs can only
use pipes for communications with subprocesses.